%define module_name Unicode-Map8
%define _enable_test 0

Name: perl-%module_name
Version: 0.12
Release: alt3


Summary: Perl module to represent mapping tables between 8-bit chars and Unicode

Url: http://search.cpan.org/~gaas/
Group: Development/Perl
License: GPL

Packager: Alexey Dyachenko <alexd@altlinux.ru>

Source: http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%module_name-%version.tar.bz2
Patch0: Unicode-Map8-%version-type.diff
Patch1: Unicode-Map8-%version-declaration.diff

# Automatically added by buildreq on Thu Nov 23 2006
BuildRequires: perl-devel perl-Unicode-String

%description
The Unicode::Map8 class implement efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode.  The
tables are efficient both in terms of space allocated and translation
speed.  The 16-bit strings is assumed to use network byte order.

%prep
%setup -q -n %module_name-%version
%patch0
%patch1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files 
%doc README Changes rfc1345.txt
%perl_vendor_archlib/Unicode*
%perl_vendor_autolib/Unicode*
%perl_vendor_man3dir/*
%_bindir/*
%_man1dir/*

%changelog
* Fri Nov 24 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.12-alt3
- NMU: Fix x86_64 build (#10311)
- Add patch Unicode-Map8-%version-type.diff and Unicode-Map8-%version-declaration.diff
  from OpenSUSE
- Add /usr/bin/umap, /usr/share/man/man1/umap.1.gz
- Add rfc1345.txt in doc

* Tue Feb 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.12-alt2
- NMU: fix Source Url

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.12-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Thu Mar 20 2003 Alexey Dyachenko <alexd@altlinux.ru> 0.12-alt1
- 0.12

* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.11-alt2
- rebuild with new perl

* Mon Sep 16 2002 Alexey Dyachenko <alexd@altlinux.ru> 0.11-alt1
- Initial build for Sisyphus.
